Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004487TestLinkRequirement Managementpublic2011-05-23 12:382011-07-02 13:49
ReporterJulian 
Assigned ToJulian 
PriorityhighSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.2 (2011 Q2 - bug fixing) 
Fixed in Version1.9.3 (2011 Q3 - bug fixing) 
Summary0004487: Add Req-Version to internal Requirement Links
DescriptionTaken from help (edit req -> click "?" on top of edit page)

Internal links on scope:

Internal links serve the purpose of creating links to other requirements/requirement specifications with a special syntax. Internal Links behaviour can be changed in the config file.

Usage:
Link to requirements: [req]req_doc_id[/req]
Link to requirement specifications: [req_spec]req_spec_doc_id[/req_spec]

The test project of the requirement / requirement specification and an anchor to jump to can also be specified:
[req tproj=<tproj_prefix> anchor=<anchor_name>]req_doc_id[/req]
This syntax also works for requirement specifications.

-> allow version for requirements:
[req tproj=<tproj_prefix> version=<version> anchor=<anchor_name>]req_doc_id[/req]


TODO:
1. Allowing to add version for internal links requires changes on function req_link_replace() in lib/functions/requirements.inc.php
2. Generated link text should look like this if a version has been set "Requirement: <req_name> [<req_version>]" (must be added to $title['req'])
3. help needs to be updated
TagsNo tags attached.
Database (MySQL,Postgres,etc)-
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships
related to 0004298closedasimon Direct links for each requirement version 

-  Notes
(0014956)
Julian (reporter)
2011-05-25 11:32

version can now be specified.

Branch 1.9:
http://gitorious.org/testlink-ga/testlink-code/commit/d6a2534d2dff7a440e7b070ec0299bdf08e73fce [^]

Master:
http://gitorious.org/testlink-ga/testlink-code/commit/0fcfe653b325c4a3ad1bd794678e7dbf6ec2fa42 [^]
(0015445)
fman (administrator)
2011-07-02 13:49

1.9.3 released

- Issue History
Date Modified Username Field Change
2011-05-23 12:38 Julian New Issue
2011-05-23 12:38 Julian Status new => assigned
2011-05-23 12:38 Julian Assigned To => asimon
2011-05-23 12:38 Julian Relationship added related to 0004298
2011-05-23 15:13 Julian Description Updated View Revisions
2011-05-25 09:27 Julian Assigned To asimon => Julian
2011-05-25 11:32 Julian Note Added: 0014956
2011-05-25 11:32 Julian Status assigned => resolved
2011-05-25 11:32 Julian Fixed in Version => 1.9.3 (2011 Q3 - bug fixing)
2011-05-25 11:32 Julian Resolution open => fixed
2011-07-02 13:49 fman Note Added: 0015445
2011-07-02 13:49 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker